<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Parserdatabaselimpio
{

    protected $CI;

    public function __construct()
    {
        $this->CI = &get_instance();
        $this->CI->load->model("Parser_model");
        $this->CI->load->model("Xlsexport_model");
    }

    public function index($fechaInicioParser)
    {
        $tablasInsert = $this->CI->Parser_model->getMapaTablas();

        if ($tablasInsert['num_rows'] > 0) {

            $licitacionDeleteCascada = $this->CI->Parser_model->getLicitacionesNuevasBruto();

            if ($licitacionDeleteCascada['num_rows'] > 0) {
                $this->CI->Parser_model->deleteCascadaNuevasLicitaciones();

                foreach ($tablasInsert['datos'] as $row) {

                    $datosTablaToInsert = $this->CI->Parser_model->getDatosBrutos($row->tabla_sucia);

                    if ($datosTablaToInsert['num_rows'] > 0) {
                        if ($row->tabla_maestra == "maestro_datos_iniciales_licitacion") {
                            foreach ($datosTablaToInsert['datos'] as $datos) {
                                unset($datos->id);
                            }
                        }

                        insertBucleDuplicateOnKey($datosTablaToInsert['datos'], $row->tabla_maestra, "brutoToMaestro_" . $fechaInicioParser);
                    }
                }

            }

        }

        return;
    }

}

/* End of file Parserdatabaselimpio.php */
/* Location: ./application/libraries/Parserdatabaselimpio.php */
